"h.knots.AICC" <-
function (x, y, degree) 
{
    h.unit <- diff(range(x))
    n <- length(x)
    h.lower.bound <- ceiling(-log(n, 1.2))
    h.set <- 1.2^seq(h.lower.bound, 1, 1) * h.unit
    k1 <- knots.pre(x, y, threshold = 1 - 1/sqrt(n))
    k1 <- knot.selection.step(x, y, degree = degree, current.knots = k1)
    AICC <- NULL

    for (h in h.set) {
       AICC <- c(AICC, locsplineAICC(x, y, degree = degree, 
            knots = k1, h = h))
    }
    AICC.min <- min(AICC)
    h.opt <- h.set[AICC == AICC.min]
    for (j in 1:length(k1)) {
        k <- length(k1)

AICC.fn <- function(i, h, ...){
        locsplineAICC(x=x,y=y,degree=degree,knots=k1[-1],h=h)
}
        AICC.matrix <- outer(seq(1,k), h.opt*c(2/3, 1, 3/2), 
              AICC.fn, x=x,y=y, degree=degree, k1=k1)

        indices <- which(AICC.matrix == min(AICC.matrix), TRUE)
        if (min(AICC.matrix) < AICC.min) {
            AICC.min <- min(AICC.matrix)
            k1 <- k1[-indices[1]]
            h.opt <- h.opt * 1.5^(indices[2] - 2)
        }
        else {
            break()
        }
    }
    list(knots = k1, h = h.opt, AICC = AICC.min)
}
