"pspline" <-
function (x,y,LAMBDA,xl=min(x),xr=max(x),ndx=20,bdeg=3,pord=2) 
{
# Eilers and Marx P-spline functions  
# x, y = data
# lambda = smoothing parameter (optimize by gcv)
# ndx = number of intervals divided by the knots (see line 13 of Sect.7)
# bdeg = b-spline degree
# pord = order of difference penalty
require(splines)
m <- length(y)

scale <- (xr - xl)/length(x)
B <- bspline(x, xl-scale, xr+scale, ndx, bdeg)
D <- diag(ncol(B))
for (k in 1:pord) D <- diff(D)
yHAT <-NULL
trH <- NULL
gcv <- NULL
SSE <- NULL
for (lambda in LAMBDA){
a <- solve(t(B)%*%B + lambda*t(D)%*%D, t(B)%*%y)
yhat <- B%*%a
s <- sum((y-yhat)^2)
Q <- solve(t(B)%*%B + lambda*t(D)%*%D)
tmp <- sum(diag(Q %*% (t(B)%*%B)))
gcv <- c(gcv, s/(nrow(B) - tmp)^2)
trH <- c(trH, tmp)
yHAT <- cbind(yHAT, yhat)
SSE <- c(SSE, s)
}
sigma0 <- sqrt(m*min(gcv))
AIC <- SSE/sigma0^2 + 2*trH
list(x=x, y=yHAT[,AIC==min(AIC)], gcv=gcv, trH=trH, AIC=AIC)
}
