\name{dpilsp}
\alias{dpilsp}
\title{Direct Plug In Bandwidth for local spline }
\description{
  This function computes a bandwidth for kernel spline
regression using a direct plug-in method.
}
\usage{
dpilsp(x, y, knots, degree = 3, delta)
}
\arguments{
  \item{x}{The explanatory variable }
  \item{y}{The response variable }
  \item{knots}{A vector containing the knots }
  \item{degree}{The degree of the spline }
  \item{delta}{The radius of the interval around each knot that is
excluded from the calculation }
}
\value{
A list containing
  \item{h1}{A first iteration approximation to the bandwidth}
  \item{h2}{The second estimate of the bandwidth}
}
\author{W.J. Braun }
\keyword{models}
