\name{h.knots.AICC}
\alias{h.knots.AICC}
\title{Bandwidth and Knot Selector using AICC}
\description{
  This function automatically chooses knots and a direct
plug-in bandwidth for kernel spline regression using
the Hurvich et al (1998) AICC.
}
\usage{
h.knots.AICC(x, y, degree)
}
\arguments{
  \item{x}{explanatory variable vector}
  \item{y}{response variable vector}
  \item{degree}{local spline degree}
}
\value{ A list consisting of
  \item{knots }{A vector of knots}
  \item{h }{The bandwidth}
  \item{AICC}{The value of the AICC}
}
\reference{
Hurvich, C.M.,  Simonoff, J.S., and Tsai, C.-L. (1998)
Smoothing Parameter Selection in Nonparametric Regression
Using an Improved Akaike Information Criterion, J. Roy. Stat. Soc.
B 60: 271--293.
}
\author{W.J. Braun }
\keyword{models}
