\name{locsplineAICC}
\alias{locsplineAICC}
\title{AICC for local spline }
\description{
   This function calculates AICC
for kernel splines.
}
\usage{
locsplineAICC(x, y, h, degree = 3, knots = quantile(x, c(0.25, 0.5, 
0.75)), range.x = range(x))
}
\arguments{
  \item{x}{explanatory variable vector}
  \item{y}{response variable vector}
  \item{h}{bandwidth}
  \item{degree}{spline degree}
  \item{knots}{a vector of knots}
  \item{range.x}{the range of the x vector}
}
\value{
  the AICC value
}
\reference{
Hurvich, C.M., Simonoff, J.S., and Tsai, C.-L. (1998) Smoothing
Parameter Selection in Nonparametric Regression Using an
Improved Akaike Information Criterion.  J. Roy. Stat. Soc. B
60:271--293.
}
\author{W.J. Braun }
\keyword{models }
