\name{pspline}
\alias{pspline}
\title{Penalized spline regression }
\description{
  This function computes a smooth curve to fit to a 
scatterplot using a penalized spline approach.
}
\usage{
function (x,y,LAMBDA,xl=min(x),xr=max(x),ndx=20,bdeg=3,pord=2)
}
\arguments{
  \item{x}{explanatory variable vector}
  \item{y}{response variable vector}
  \item{LAMBDa}{a vector of smoothing parameter values to optimize over}
  \item{xl}{a lower bound on the data}
  \item{xr}{an upper bound on the data}
  \item{ndx}{number of subintervals (i.e. ndx = no. equally spaced
knots - 1)}
  \item{bdeg}{B-spline degree }
  \item{pord}{order of the penalty term}
}
\value{ A list consisting of
  \item{x }{the vector of explanatory values}
  \item{y}{the vector of fitted values}
  \item{gcv}{generalized cross validation values}
  \item{trH}{hat matrix trace}
  \item{AIC}{Akaike Information Criterion}
  }
\reference{
Eilers, P.H.C. and Marx, B.D. (1996) Flexible smoothing
with B-splines and penalties.  Statistical Science 11:89--121.
}
\author{W.J. Braun }
\keyword{models}
